## redstone-xmlrpc 1.1

=== debian/changelog ===
redstone-xmlrpc (1.1-0ubuntu1) natty; urgency=low

  * Initial release 

 -- James Page <james.page@canonical.com>  Fri, 14 Jan 2011 11:34:22 -0600
