=== debian/control ===
Source: redstone-xmlrpc
Section: java
Priority: optional 
Maintainer: Ubuntu Developers <motu@lists.ubuntu.com>
Build-Depends: cdbs, debhelper (>= 7.0.50~), ant, default-jdk
Build-Depends-Indep: libservlet2.5-java
Standards-Version: 3.9.1
Homepage: http://xmlrpc.sourceforge.net/

Package: libredstone-xmlrpc-java
Architecture: all
Depends: ${misc:Depends}, libservlet2.5-java, 
 default-jre-headless | java2-runtime-headless
Description: A small and verstile implementation of the XML-RPC Specification 
 Redstone XML-RPC Library is a small but versatile implementation of the 
 XML-RPC specification. It contains the following main features:
 . 
  * An XML-RPC client for accessing XML-RPC services, and an XML-RPC servlet 
    for publishing plain Java objects as XML-RPC services in a web server. 
    Both the client and the server can be configured to stream messages 
    directly over a socket without constructing the messages in memory. 
    Although this is not compliant with the specification (which mandates 
    the use of a Content-Length HTTP header), this allows for virtually 
    unlimited sized messages when communicating with services and clients 
    that do not use or rely on the Content-Length header.
  * A serialization framework allowing custom serializers to serialize values 
    inherently unknown to the library. The serialization framework may be 
    used outside of the XML-RPC library to encode Java objects into XML 
    streams. The library comes with serializers for common types like Maps, 
    Collections, Lists, object arrays, primitive arrays, and a reflective 
    serializer for serializing any Java object.
  * A set of custom serializers generating JSON messages instead of XML-RPC 
    messages allowing for easy access from JavaScript. The library also 
    includes a small XML-RPC client in JavaScript for accessing services 
    published by this library.
  * A SAX-based XML-RPC parser that may be used outside of the library to 
    parse streams with XML-RPC messages.
  * A dynamic proxy generator to allow XML-RPC services to be used through 
    regular Java-interfaces. This helps increase productivity and type 
    safety while allowing IDEs to provide content assist functionality.
  * Invocation interceptors that are hooked up on the server side to 
    intercept calls to services published though the library. Interceptors 
    may intercept invocations based on method names or arguments sent from 
    the client. Based on this information, interceptors may prevent 
    invocations from completing or add, modify, or remove arguments before 
    dispatching the call to the service. Interceptors may also redirect 
    calls and examine and modify the result of an invocation before it 
    is sent back to the client.
