=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME               := /usr/lib/jvm/default-java
DEB_ANT_BUILDFILE       := build.xml
DEB_ANT_BUILD_TARGET    := jars 

install/libredstone-xmlrpc-java::
	install -m 644 -D build/lib/xmlrpc-$(DEB_UPSTREAM_VERSION).jar $(DEB_DESTDIR)/usr/share/java/redstone-xmlrpc-$(DEB_UPSTREAM_VERSION).jar
	dh_link /usr/share/java/redstone-xmlrpc-$(DEB_UPSTREAM_VERSION).jar /usr/share/java/redstone-xmlrpc.jar
	install -m 644 -D build/lib/xmlrpc-client-$(DEB_UPSTREAM_VERSION).jar $(DEB_DESTDIR)/usr/share/java/redstone-xmlrpc-client-$(DEB_UPSTREAM_VERSION).jar
	dh_link /usr/share/java/redstone-xmlrpc-client-$(DEB_UPSTREAM_VERSION).jar /usr/share/java/redstone-xmlrpc-client.jar

get-orig-source:
	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
