=== debian/watch ===
version=3
opts="uversionmangle=s/-(alpha|beta)-/~$1/" \
  https://xmlrpc.svn.sourceforge.net/svnroot/xmlrpc/tags/ \
  rel_(\d+)_(\d)/ debian debian/orig-tar.sh
